#ifndef DLL_MAIN_H
#define DLL_MAIN_H

// --- Personalized types -------------------------------------------------------

// constants of projection
typedef struct {
   double a;       // half large axis
   double b;       // half small axis
   double C;       // constant of projection (in m)
   double e;       // first eccentricity of the ellipsoid
   double f;       // flatness
   double lambda0; // longitude of the central meridian line (in rad)
   double n;       // exponent of projection
   double Xs, Ys;  // co-ordinates in projection of the pole (in m)
   vector T;       // vector of translation
   double D;       // factor
   vector R;       // vector of rotation
} cstes_projection;

// data of the session
typedef struct {
   unsigned int sysg;  // 0: WGS84; 1: NTF; 2: RGF93
   unsigned int proj;  // 0: none; 1: LbI; 2: LbII; 3: LbIIe; 4: LbIII; 5: LbIV
   unsigned int coord; // 0: Cartesian; 1: Geographical; 2: Plane

   cstes_projection cstes;
} data;

// --- Prototypes of functions --------------------------------------------------

int convert(const char *inputFilename, const char *outputFilename, const char *outputProjection, double ha);

#endif
