#ifndef RAF98_H
#define RAF98_H

#define false 0
#define true  1

#define WIDTH  32768
#define HEIGHT     8

// --- Personalized types -------------------------------------------------------

// vector of translation or rotation
typedef struct {
   double val;
   unsigned short lgn;
   unsigned short col;
} bilinear;

// --- Prototypes of functions --------------------------------------------------

// loads the RAF98 file in memory
int loadRAF98(const char *gridFile);

// returns the RAF98 N value of the point
double Nraf98(double j, double l);

// returns the IGN altitude of the point
double altitude(double lat, double lon, double depth, double he, double ha);

#endif
